=head1 NAME

GStreamer::Query::Duration

=cut


=head1 METHODS

=head2 GstQuery = GStreamer::Query::Duration-E<gt>B<new> ($format)

=over

=item * $format (GStreamer::Format) 

=back

=head2 list = $query-E<gt>B<duration> ($format=0, $duration=0)

=over

=item * $format (GStreamer::Format) 

=item * $duration (64 bit integer) 

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum GStreamer::Format

=over

=item * 'undefined' / 'GST_FORMAT_UNDEFINED'

=item * 'default' / 'GST_FORMAT_DEFAULT'

=item * 'bytes' / 'GST_FORMAT_BYTES'

=item * 'time' / 'GST_FORMAT_TIME'

=item * 'buffers' / 'GST_FORMAT_BUFFERS'

=item * 'percent' / 'GST_FORMAT_PERCENT'

=back




=cut


=head1 SEE ALSO

L<GStreamer>


=cut


=head1 COPYRIGHT

Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<GStreamer> for a full notice.



=cut

